title 'LIPSET_f.SPS: Lipset-Example from Brown (1980, pp. 183ff.)'.
*********************************************************************.
* This SPSS-Syntaxfile demonstrates how data files generated with /  .
* used by the program PQMethod 2.0 can be taken over to SPSS.        .
* In this sample syntax code. existing PQMethod files, lipset.dat and.
* lipset.sta, are read as external files                             .
* (cf. Raynald's SPSS Tools http://pages.infinit.net/rlevesqu/)      .
*                                                                    .
* SOURCE: Brown, S.R. (1980). Political subjectivity: Applications   .
* of Q methodology in political science. New Haven: Yale Univ. Press .
*--------------------------------------------------------------------.
* Peter.Schmolck@unibw-muenchen.de, 27-Jan-2002                      .
* The QMethod Page: http://www.rz.unibw-muenchen.de/~p41bsmk/qmethod .
*********************************************************************.

* Skip the first 2 header-records in PQMethod .dat-file.
INPUT PROGRAM.
NUMERIC #INIT.
DO IF NOT (#INIT).
+ LOOP #I = 1 TO 2.
+ DATA LIST file='lipset.dat' NOTABLE/. /* No data - just skip record
+ END LOOP.
+ COMPUTE #INIT = 1.
END IF.
DATA LIST file='lipset.dat'
     / sort 1-8 (a) Item01 to item33 11-76.
END INPUT PROGRAM.
formats Item01 to item33 (F1.0).

Flip newnames=sort.
Save outfile='scratch.sav'.

DATA LIST file='lipset.sta NOTABLE
     / values 1 item 2-60(A) .
value labels values 1 'American' 2 'British'.
* SPSS-PC: replace 'match files' with 'join match'.
match files
    file='scratch.sav'
    /file=*.
FACTOR
  /VARIABLES us1 to fr9  /MISSING LISTWISE
  /PRINT cor INITIAL EXTRACTION ROTATION FSCORE
  /CRITERIA FACTORS(3) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /PLOT EIGEN ROTATION (1 2)(1 3)(2 3)
  /SAVE REG(ALL F) .

*SPSS-PC: MODIFY VARS /RENAME (F1 F2 F3 = B C A).
RENAME variables (F1=B)( F2=C)( F3 = A).
formats A B C (F5.2).
set width=132 length=60.

*SPSS-PC: replace '/statistics des' with '/statistics=1'.
cor us1 to fr9 with a b c /statistics des.
list A B C item /format=num.

T-TEST
  GROUPS=values(1 2)
  /MISSING=LISTWISE
  /VARIABLES=A B C
  /CRITERIA=CIN(.95) .
